var dict = {};

$(function() {
	registerWords();
	setLanguage("zh");

	$("#enBtn").bind("click", function() {
		setLanguage("zh");
	});

	$("#zhBtn").bind("click", function() {
		setLanguage("en");
	});

	//			$("#applyBtn").bind("click", function() {
	//				alert(__tr("a translation test!"));
	//			});
});

function setLanguage(lang) {
	setCookie("lang=" + lang + "; path=/;");
	translate();
}

function getCookieVal(name) {
	var items = document.cookie.split(";");
	for(var i in items) {
		var cookie = $.trim(items[i]);
		var eqIdx = cookie.indexOf("=");
		var key = cookie.substring(0, eqIdx);
		if(name == $.trim(key)) {
			return $.trim(cookie.substring(eqIdx + 1));
		}
	}
	return null;
}

function setCookie(cookie) {
	document.cookie = cookie;
}

function translate() {
	loadDict();

	$("[lang]").each(function() {
		switch(this.tagName.toLowerCase()) {
			case "input":
				$(this).val(__tr($(this).attr("lang")));
				break;
			default:
				$(this).text(__tr($(this).attr("lang")));
		}
	});
}

function __tr(src) {
	return(dict[src] || src);
}

function loadDict() {
	var lang = (getCookieVal("lang") || "zh");
	$.ajax({
		type: "get",
		url: lang + ".json",
		async: false,
		success: function(msg) {
			dict = eval("(msg)");
		}
	});
}

function registerWords() {
	$("[lang]").each(function() {
		switch(this.tagName.toLowerCase()) {
			case "input":
				$(this).attr("lang", $(this).val());
				break;
			case "li":
				$(this).attr("lang", $(this).text());
				break;
			case "p":
				$(this).attr("lang", $(this).text());
				break;
			case "label":
				$(this).attr("lang", $(this).text());
				break;
			case "option":
				$(this).attr("lang", $(this).text());
				break;
			case "button":
				$(this).attr("lang", $(this).text());
				break;
			case "td":
				$(this).attr("lang", $(this).text());
				break;
			case "a":
				$(this).attr("lang", $(this).text());
				break;
			case "span":
				$(this).attr("lang", $(this).text());
				break;
			case "b":
				$(this).attr("lang", $(this).text());
				break;	
			case "select":
				$(this).attr("lang", $(this).val());
				break;
			default:
				$(this).attr("lang", $(this).text());
		}
	});
}
